# RentalZoneRestrictions

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**vehicle_type_idxs** | **Vec<i32>** | List of vehicle types (as indices into the provider's vehicle types array) to which these restrictions apply. If empty, the restrictions apply to all vehicle types of the provider.  | 
**ride_start_allowed** | **bool** | whether the ride is allowed to start in this zone | 
**ride_end_allowed** | **bool** | whether the ride is allowed to end in this zone | 
**ride_through_allowed** | **bool** | whether the ride is allowed to pass through this zone | 
**station_parking** | Option<**bool**> | whether vehicles can only be parked at stations in this zone | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


